/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG11_Tarea;

import DAO.BbClass;
import DAO.ClienteClass;
import DAO.EscrituraClass;
import DAO.UtilClass;
import java.beans.PropertyVetoException;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;

/**
 *
 * @author Abraham Fernandez Sanchez
 */
public class VistaVerEscritura extends javax.swing.JInternalFrame {

    UtilClass util;
    EscrituraClass escritura;
    ClienteClass cliente;
    BbClass bbdd;

    /**
     * Creates new form VistaVerEscritura
     */
    public VistaVerEscritura() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButtonREset = new javax.swing.JButton();
        jButtonSalir = new javax.swing.JButton();
        jTextFieldNumIntervinientes = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jTextFieldNombreFichero = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jTextFieldCodEscritura = new javax.swing.JTextField();
        jTextFieldCodCliente = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jButtonBuscar = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jTextFieldNombreCliente = new javax.swing.JTextField();
        jTextFieldTipoEscritura = new javax.swing.JTextField();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Mostrar Escritura");

        jButtonREset.setText("RESET");
        jButtonREset.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonREsetActionPerformed(evt);
            }
        });

        jButtonSalir.setText("SALIR");
        jButtonSalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSalirActionPerformed(evt);
            }
        });

        jTextFieldNumIntervinientes.setEditable(false);
        jTextFieldNumIntervinientes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldNumIntervinientesActionPerformed(evt);
            }
        });

        jLabel4.setText("Num. Intervinientes :");

        jLabel3.setText("Nombre Fichero : ");

        jTextFieldNombreFichero.setEditable(false);

        jLabel2.setText("Tipo Escritura :");

        jLabel1.setText("Codigo Escritura : ");

        jTextFieldCodCliente.setEditable(false);

        jLabel5.setText("Codigo Cliente : ");

        jButtonBuscar.setText("BUSCAR");
        jButtonBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBuscarActionPerformed(evt);
            }
        });

        jLabel6.setText("Nombre Cliente :");

        jTextFieldNombreCliente.setEditable(false);

        jTextFieldTipoEscritura.setEditable(false);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel4)
                    .addComponent(jLabel3)
                    .addComponent(jLabel2)
                    .addComponent(jLabel1)
                    .addComponent(jLabel5)
                    .addComponent(jLabel6))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldCodCliente)
                    .addComponent(jTextFieldNombreFichero)
                    .addComponent(jTextFieldCodEscritura)
                    .addComponent(jTextFieldNombreCliente)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButtonBuscar)
                        .addGap(18, 18, 18)
                        .addComponent(jButtonREset)
                        .addGap(0, 98, Short.MAX_VALUE))
                    .addComponent(jTextFieldTipoEscritura)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jTextFieldNumIntervinientes, javax.swing.GroupLayout.PREFERRED_SIZE, 81, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButtonSalir)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextFieldCodEscritura, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonBuscar)
                    .addComponent(jButtonREset))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jTextFieldCodCliente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel6)
                    .addComponent(jTextFieldNombreCliente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldTipoEscritura, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(jTextFieldNombreFichero, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(jTextFieldNumIntervinientes, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonSalir))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jTextFieldNumIntervinientesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldNumIntervinientesActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldNumIntervinientesActionPerformed

    private void jButtonBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBuscarActionPerformed
        searchEscCli();
    }//GEN-LAST:event_jButtonBuscarActionPerformed

    private void jButtonREsetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonREsetActionPerformed
       resetText();
    }//GEN-LAST:event_jButtonREsetActionPerformed

    private void jButtonSalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSalirActionPerformed
        try {
            this.setClosed(true);
        } catch (PropertyVetoException ex) {
            Logger.getLogger(VistaVerEscritura.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButtonSalirActionPerformed

    /**
     * Metodo que busca y devuelve los datos de EscCli
     */
    public void searchEscCli() {
        try {

            util = new UtilClass();
            String codigoEscritura = jTextFieldCodEscritura.getText();

            String codVinculacion = util.getCodClienteEscCli(codigoEscritura);

            System.out.println(codVinculacion);
            cliente = util.getCliente(codVinculacion);
            jTextFieldCodCliente.setText(cliente.getCodigo());
            jTextFieldNombreCliente.setText(cliente.getNombre());

            escritura = util.getEscritura(codigoEscritura);
            jTextFieldTipoEscritura.setText(escritura.getTipoEscritura());
            jTextFieldNombreFichero.setText(escritura.getNombreFichero());
            jTextFieldNumIntervinientes.setText(String.valueOf(escritura.getNumeroIntervinientes()));

        } catch (NullPointerException | SQLException e) {
            JOptionPane.showMessageDialog(this, "El codigo de escritura no correponde a ningun registro de la Base de Datos");
        }
    }

    /**
     * Metodo que Limpia los campos de texto
     */
    public void resetText() {
        jTextFieldCodEscritura.setText("");
        jTextFieldCodCliente.setText("");
        jTextFieldNombreCliente.setText("");
        jTextFieldTipoEscritura.setText("");
        jTextFieldNombreFichero.setText("");
        jTextFieldNumIntervinientes.setText("");

    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonBuscar;
    private javax.swing.JButton jButtonREset;
    private javax.swing.JButton jButtonSalir;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JTextField jTextFieldCodCliente;
    private javax.swing.JTextField jTextFieldCodEscritura;
    private javax.swing.JTextField jTextFieldNombreCliente;
    private javax.swing.JTextField jTextFieldNombreFichero;
    private javax.swing.JTextField jTextFieldNumIntervinientes;
    private javax.swing.JTextField jTextFieldTipoEscritura;
    // End of variables declaration//GEN-END:variables
}
